Bug 1574661 - Audacity upgrade to ver 2.2
Summary: Audacity upgrade to ver 2.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 19:23 UTC by Milton Nacimento
Modified: 2018-11-02 19:21 UTC (History)
4 users (show)

Fixed In Version: audacity-2.3.0-1.fc29 audacity-2.3.0-1.fc27 audacity-2.3.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 17:18:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Milton Nacimento 2018-05-03 19:23:44 UTC
Description of problem: Audacity 2.1.3 is unusable on a 4k display. I was hoping Audacity would upgrade to 2.2 which has hidpi support in release 28.

Flatpak doesn't recognize tap or swh audio plugins, so dealbreaker.

Audacity ver 2.2 not in rawhide yet, so no pinning from rawhide repo.

Was wondering what the status and plans are for getting version 2.2 into release 28, or, if that's not possible, at least into rawhide and release 29.

Version 2.2 introduced into Arch last Fall, and I'd love to be able to have my Fedora at functional parity so I can do my audio editing in it.

Version-Release number of selected component (if applicable): 2.1.3-8 > 2.2.x


How reproducible: N/A


Steps to Reproduce: N/A
1.
2.
3.

Actual results: N/A


Expected results: N/A


Additional info: N/A

Comment 1 David Timms 2018-10-03 12:44:45 UTC
Audacity 2.3.0 has been recently released and builds made for F27,28,29,30.
These will become available in -testing shortly.

Please test against 4K monitor.
In what way is it unusable - does it immediately crash ?

Comment 2 Fedora Update System 2018-10-03 13:02:19 UTC
audacity-2.3.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5c01437fa7

Comment 3 Fedora Update System 2018-10-03 13:03:01 UTC
audacity-2.3.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9e098024ad

Comment 4 Fedora Update System 2018-10-03 13:03:44 UTC
audacity-2.3.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e66ef16e01

Comment 5 Fedora Update System 2018-10-03 15:42:17 UTC
audacity-2.3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5c01437fa7

Comment 6 Fedora Update System 2018-10-04 18:00:43 UTC
audacity-2.3.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9e098024ad

Comment 7 Fedora Update System 2018-10-04 21:10:21 UTC
audacity-2.3.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e66ef16e01

Comment 8 Milton Nacimento 2018-10-29 05:36:37 UTC
(In reply to David Timms from comment #1)
> Audacity 2.3.0 has been recently released and builds made for F27,28,29,30.
> These will become available in -testing shortly.
> 
> Please test against 4K monitor.
> In what way is it unusable - does it immediately crash ?

Hi, I just installed audacity ver 2.3 fc30 from fedora29 rawhide and the hidpi scaling issues are still not fixed. The cursor is vanishingly tiny and the buttons on the menu bar are tiny.

Maybe this is the problem: On high resolution screens, Audacity as shipped by distributions or as default-compiled is likely to have very small toolbars and graphical elements but excessively large text - see Linux HiDPI Support. It is possible to work around this by compiling wxWidgets --with-gtk=3 then recompiling Audacity, or by setting a change of monitor resolution when launching Audacity. https://wiki.audacityteam.org/wiki/Linux_Issues

Thanks for your efforts.

Comment 9 Fedora Update System 2018-10-30 17:18:28 UTC
audacity-2.3.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-01 17:09:30 UTC
audacity-2.3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-02 19:21:19 UTC
audacity-2.3.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.